# synced with rh-3.3.1-1

%define rhrelease 1
%define devrootdir /lib/root-mirror
%define dev_lock /var/lock/subsys/dev
%define makedev_lock /var/lock/subsys/makedev

Name: MAKEDEV
Version: 3.3.1
Release: 1
Group: System
License: GPL
Source: MAKEDEV-%version-%{rhrelease}.tar.bz2
Patch0: MAKEDEV-3.3.1-conf.patch.bz2
Patch1: MAKEDEV.linuxkid.patch
Summary: A program used for creating the device files in /dev.
BuildRoot: %_tmppath/%name-root

%description
This package contains the MAKEDEV program, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes
it easy to manage the /dev directory device files.

%package -n dev
Group: System
Summary: The most commonly-used entries in the /dev directory.

%description -n dev
The Mandrake Linux operating system uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be).
This package contains the most commonly used /dev entries.

The dev package is a basic part of your Mandrake Linux system and it needs
to be installed.

%prep
%setup -q
%patch0 -p1 -b .mdk
%patch1 -p1

%build
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT
mkdev() {
	$RPM_BUILD_ROOT/dev/MAKEDEV -c $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d -d $RPM_BUILD_ROOT/dev $@
}
makedev() {
	if [ `id -u` = 0 ] ; then
		# Note that we need to be the superuser for this to work at all.
		mkdev $@
	else
		# Note that we need RPM 4.0.3-0.71 or higher for this to be of any use!
		mkdev -M $@ | sed "s|$RPM_BUILD_ROOT||g" >> manifest
	fi
}

rm -fr $RPM_BUILD_ROOT manifest

%ifarch s390 s390x
export S390=1
%endif
%makeinstall devdir=$RPM_BUILD_ROOT/dev
install -d $RPM_BUILD_ROOT/sbin
mv -f $RPM_BUILD_ROOT/dev/MAKEDEV $RPM_BUILD_ROOT/sbin
ln -s ../sbin/MAKEDEV $RPM_BUILD_ROOT/dev/MAKEDEV

%ifnarch s390 s390x
makedev 3dfx
makedev agpgart
makedev apm_bios
makedev beep
makedev capi20
makedev cdrom
%endif

makedev -m 32 console

%ifnarch s390 s390x
makedev -m 4 cua
makedev -m 16 cui
makedev enskip
makedev fb
makedev fd0
makedev fd1
makedev ftape
makedev -m 2 ht
makedev -m 2 i2c
makedev i2o
makedev ibcs
makedev -m 17 ide
%endif

makedev initrd

%ifnarch s390 s390x
makedev -m 32 input
makedev -m 16 ip
%endif

makedev -m 16 ipfilter

%ifnarch s390 s390x
makedev ir
makedev -m 2 iscc
makedev -m 16 isdn
makedev -m 4 js
%endif

makedev -m 32 loop
makedev -m 1 log

%ifnarch s390 s390x
makedev -m 8 lp
%endif

makedev md

%ifnarch s390 s390x
makedev mouse
%endif

makedev -m 32 nb

%ifnarch s390 s390x
makedev netlink
makedev -m 2 nht
makedev -m 16 nst
makedev -m 4 osst
makedev -m 8 par
makedev -m 4 pcd
makedev pd
makedev -m 4 pf
makedev -m 4 pg
makedev -m 4 ppp
makedev pt
%endif

makedev ptmx
makedev pty

%ifnarch s390 s390x
makedev qng
%endif

makedev -m 20 ram
makedev random

%ifnarch s390 s390x
#makedev raid
%endif

makedev raw

%ifnarch s390 s390x
makedev rmt
makedev rtc
makedev -m 8 scd
makedev sd
makedev -m 16 sg
makedev smpt
makedev sound
makedev -m 16 st
%endif

makedev systty

#MDK
makedev nb
makedev ixj
makedev isdn
makedev cui
makedev dac960
makedev alsa
makedev mandrake
makedev microcode
makedev ppp
makedev shm
%ifarch ppc
makedev -m 56 adb
%endif    
makedev nvidia
#MDK

%ifnarch s390 s390x
makedev -m 4 staliomem
%endif

makedev std

%ifnarch s390 s390x
makedev tlk
%endif

makedev -m 32 tty
makedev urandom

%ifnarch s390 s390x
makedev -m 32 usb
makedev -m 4 v4l
makedev vcs
makedev vmmon
makedev -m 4 vnet
makedev -m 4 winradio
makedev xda
makedev xdb
%endif

# Create architecture-specific devices.
%ifarch s390 s390x
makedev dasd
makedev mnd
makedev xpram
rm -f $RPM_BUILD_ROOT/dev/fd[0-7]*
rm -f $RPM_BUILD_ROOT/dev/vcs*
if [ -f manifest ] ; then
	grep -v '/dev/fd[0-7]' manifest > manifest.tmp && mv manifest.tmp manifest
	grep -v '/dev/vcs'     manifest > manifest.tmp && mv manifest.tmp manifest
fi
%endif

%ifarch ia64
makedev efirtc
%endif

%ifarch sparc sparc64
makedev audioctl
makedev kbd
makedev openprom
ln -s sunmouse $RPM_BUILD_ROOT/dev/mouse
for dev in aztcd cdu31a cdu535 cm205cd cm206cd gscd hitcd mcd mcdx \
	sbpcd1 sbpcd2 scd3 sjcd sbpcd3 sonycd sbpcd sbpcd0 \
	atibm inportbm logibm ; do
	rm -f $RPM_BUILD_ROOT/dev/${dev}
done
%endif

# If we're using a version of RPM which can't handle devices yet,
# generate a manifest using /dev.
if [ ! -f manifest ] ; then
	find $RPM_BUILD_ROOT/dev -maxdepth 1 -mindepth 1 -not -name MAKEDEV -and -not -name log | \
	sed -e "s|$RPM_BUILD_ROOT||g" > manifest
fi
grep -v '/dev/log$' manifest | sort -u > mdmanifest

# Make subdirectories we otherwise would have nothing to do with.
install -d -m 755 $RPM_BUILD_ROOT/dev/pts
install -d -m 755 $RPM_BUILD_ROOT/dev/shm
cd $RPM_BUILD_ROOT/sbin && ln -sf MAKEDEV makedev
cd $RPM_BUILD_ROOT/dev && ln -sf psaux mouse && ln -sf hdb cdrom
chmod 0666 $RPM_BUILD_ROOT/dev/{audio*,dsp*,sndstat*,mixer*,midi*,music*,seq*,hd*,sd*,sr*,scd*}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc devices.txt
/sbin/MAKEDEV
/sbin/makedev
/dev/MAKEDEV
%{_mandir}/man8/*
%{_sbindir}/mksock
%config(noreplace) %{_sysconfdir}/makedev.d/*

%files -n dev -f mdmanifest
%defattr(-,root,root)
%dir /dev
%dir /dev/pts
%dir /dev/shm
